using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameController : MonoBehaviour
{
    private static GameController Instance;
    public static GameController GetInstance()
    {
        if (Instance == null)
        {
            GameObject obj = new GameObject("GameController");
            Instance = obj.AddComponent<GameController>();
            Instance.Fruits = new GameObject("Fruits").transform;
        }
        return Instance;
    }

    public Transform Fruits;

    //准备销毁的水果集合
    public LinkedList<GameObject> TempList = new LinkedList<GameObject>();

    //红线高度
    public float RedLinePosY => ColliderAdapter.Instance.RedLinePosY;


    /// <summary>
    /// 获取提现列表
    /// 类型（1 合成提现，3大额提现）
    /// </summary>
    public void GetWithdrawList(int type)
    {
        Dictionary<string, object> paras = new Dictionary<string, object>();
        paras.Add("type", type);
        HttpTool.Instance._Get("app/v1/watermelon/list_wd", paras, new Action<WithDrawBean>((result) =>
        {

        }), new Action<string, string>((code, msg) =>
        {
            Debug.unityLogger.Log("获取提现列表 " + code + " msg " + msg);
        }));
    }

}
